require "uu/os/form/input"

module UU
  module OS
    module Form

      # Radio component.
      class Radio < UU::OS::Form::Input

        # The group that this radio button belongs to.
        attr_accessor :group

        # The text (label) of the radio button.
        attr_accessor :text

        def group
          attributes[:group]
        end

        def group=(group)
          attributes[:group] = group
        end

        def text
          attributes[:text]
        end

        def text=(text)
          attributes[:text] = text
        end

        def value=(value)
          attributes[:value] = value

          if value == 'true' || value.kind_of?(TrueClass)
            # set other radio-s in the same group to false
            @container.components.select do |comp|
              comp.component_type == component_type && comp.group == group && comp != self
            end.each do |radio|
              radio.value = false
            end
          end
        end

      end
    end
  end
end