require "uu/os/form/input"

module UU
  module OS
    module Form
    
      # component for representation date and time values
      class Textarea < UU::OS::Form::Input
      
        # Maximum number of characters that can be typed in textarea
        attr_accessor :max_length
        
        # Textarea restrictions.
        attr_accessor :restriction
                
        # Minimal number of rows displayed in textarea. Textarea itself enlarge number of visible rows up to 15 rows without change of rows attribute value. 
        attr_accessor :rows
                
        def max_length
          attributes[:maxLength]
        end
                
        def max_length=(max_length)
          attributes[:maxLength] = max_length
        end
        
        def restriction
          attributes[:restriction]
        end
                        
        def restriction=(restriction)
          attributes[:restriction] = restriction
        end
                
        def rows
          attributes[:rows]
        end
                        
        def rows=(rows)
          attributes[:rows] = rows
        end
        
      end
    end
  end
end